Michael Ströder michael at
Sun Dec 17 15:02:46 CET 2000

Gregor Hoffleit wrote:
> IIRC, quite a few services inside Debian are using python-ldap
> (, e.g. for maintenance of the maintainer 
> database. I'm not sure which sorts of code are involved there,
> and if they were ready
> to switch to Python 2.0, but if I would prefer to provide them with a
> python-ldap package which works on both 2.0 as well as 1.5.2.

I think the old python-ldap package will still exist and bugfixed =>
the old applications have a properly working module to run with.
BTW: This module also works with Python 2.0 => no problem for at all.

> But if that's not feasible, I can simply split the package
> and stick with the old legacy code as python-ldap for 1.5.2
> and provide the new code as python2-ldap.

Yes, I would prefer that everyone considers the new python-ldap-2.0
(or python-ldap-ext?) to be a completely separate package.

Ciao, Michael.

More information about the python-ldap mailing list